
#############################################################################
InfoCountAlg := NewInfoClass("InfoCountAlg");
SetInfoLevel( InfoCountAlg, 2 );
SetInfoLevel(InfoAction, 0);
SetInfoLevel(InfoPerformance, 0);

#############################################################################
# Global Vars
KLIST := [];
ELIST := [[0], [0,2], [0,2,3], [0,2,3,5], [0,2,3,5,7], [0,2,3,5,7], [0,2,3,5,7,11], [0,2,3,5,7,11,13], [0,2,3,5,7,11,13]];

#############################################################################
# Read the files

# basic stuff
ReadPkg("ClassTwoAlg", "gap/porcpoly.gi");     # doc
ReadPkg("ClassTwoAlg", "gap/partitions.gi");
ReadPkg("ClassTwoAlg", "gap/exceptionals.gi");

# jnfs and types
ReadPkg("ClassTwoAlg", "gap/jnflength.gi");
ReadPkg("ClassTwoAlg", "gap/jnftypes.gi");
ReadPkg("ClassTwoAlg", "gap/blocksplit.gi");   # check  
ReadPkg("ClassTwoAlg", "gap/correcttyp.gi");   # check

# special actions
ReadPkg("ClassTwoAlg", "gap/kronecker.gi"); 
ReadPkg("ClassTwoAlg", "gap/actions.gi"); 

# determine porc
ReadPkg("ClassTwoAlg", "gap/gcdonpoints.gi");   # doc
ReadPkg("ClassTwoAlg", "gap/minors.gi");
ReadPkg("ClassTwoAlg", "gap/helpers.gi");
ReadPkg("ClassTwoAlg", "gap/simplify.gi");
ReadPkg("ClassTwoAlg", "gap/solnumber.gi");
 
#check routines and export to external files
ReadPkg("ClassTwoAlg", "gap/porcexport.gi");

# header function
ReadPkg("ClassTwoAlg", "gap/numberalgebras.gi");   # doc
