SetPackageInfo( 
rec(
    PackageName := "ClassTwoAlg",
    Subtitle := "Enumeration of class two algebras",
    Version := "1.0",
    Date := "18/10/2017",
##  <#GAPDoc Label="PKGVERSIONDATA">
##  <!ENTITY VERSION "1.0">
##  <!ENTITY RELEASEDATE "18 October 2017">
##  <#/GAPDoc>
    Persons := [
       rec(
         LastName        := "Eick",
         FirstNames      := "Bettina",
         IsAuthor        := true,
         IsMaintainer    := false,
         Email           := "beick@tu-bs.de",
	     WWWHome         := "http://www.icm.tu-bs.de/~beick/",
	     Place           := "Braunschweig",
         Institution     := "Technische Universität Braunschweig"),
       rec(
         LastName        := "Wesche",
         FirstNames      := "Morten",
         IsAuthor        := true,
         IsMaintainer    := true,
         Email           := "m.wesche@tu-bs.de",
	     WWWHome         := "http://www.icm.tu-bs.de/~morwesch/",
	     Place           := "Braunschweig",
         Institution     := "Technische Universität Braunschweig"),
       ],
    Status := "dev",
    PackageDoc := rec(
        BookName  := "ClassTwoAlg",
        SixFile   := "doc/manual.six",
        Autoload  := true ),
    Dependencies := rec(
        GAP       := "4.5",
        NeededOtherPackages := [ ["GAPDoc", "1.3"], ["hecke", "1.4"] ],
        SuggestedOtherPackages := [ ] ),
    AvailabilityTest := ReturnTrue,
    BannerString := Concatenation(
       "----------------------------------------------------------------\n",
       "Loading  ClassTwoAlg ", ~.Version, "\n",
       " by  ", ~.Persons[1].FirstNames, "  ", ~.Persons[1].LastName,
       " (", ~.Persons[1].WWWHome, ")\n",
       " and ", ~.Persons[2].FirstNames, " ", ~.Persons[2].LastName,
       " (", ~.Persons[2].WWWHome, ")\n",
       "\n",
       "----------------------------------------------------------------\n" )) 
);

